package utils

import (
	"testing"

	th "github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestHexadecimal(t *testing.T) {
	hexCanID := "151"
	id, err := HexToUInt32(hexCanID)
	if err != nil {
		t.Errorf(th.TestErrorTemplate, "TestHexadecimal", nil, err)
	}

	if id != 337 {
		t.Errorf(th.TestErrorTemplate, "TestHexadecimal", 337, id)
	}
}

func TestHexadecimalError(t *testing.T) {
	hexCanID := "FISKER"
	_, err := HexToUInt32(hexCanID)
	if err == nil {
		t.Errorf(th.TestErrorTemplate, "TestHexadecimal", err, nil)
	}
}
